{extend name="public/container"}
{block name="content"}
<div class="layui-fluid">
    <div class="layui-row layui-col-space15"  id="app">
        <div class="layui-col-md12">
            <div class="layui-card">
                <div class="layui-card-header">搜索条件</div>
                <div class="layui-card-body">
                    <form class="layui-form layui-form-pane" action="">
                        <div class="layui-form-item">
                            <div class="layui-inline">
                                <label class="layui-form-label">关键字</label>
                                <div class="layui-input-block">
                                    <input type="text" name="keyword" class="layui-input" placeholder="请输入供应商名称关键字">
                                </div>
                            </div>
                            <div class="layui-inline">
                                <div class="layui-input-inline">
                                    <button class="layui-btn layui-btn-sm layui-btn-normal" lay-submit="search" lay-filter="search">
                                        <i class="layui-icon layui-icon-search"></i>搜索</button>
                                </div>
                            </div>
                        </div>
                    </form>
                </div>
            </div>
        </div>
        <!--产品列表-->
        <div class="layui-col-md12">
            <div class="layui-card">
                <div class="layui-card-header">供应商列表</div>
                <div class="layui-card-body">
                    <div class="layui-btn-container">
                        <button class="layui-btn layui-btn-sm" onclick="$eb.createModalFrame(this.innerText,'{:Url('create')}')">新增供应商</button>
                    </div>
                    <table class="layui-hide" id="List" lay-filter="List"></table>
                    <script type="text/html" id="site">
                        <div></div><a href="{{ d.site }}" target="_blank">{{ d.site }}</a></div>
                    </script>
                    <script type="text/html" id="status">
                        {{# if(d.status==0) { }}
                        <span>默认</span>
                        {{# }else if(d.status==1){ }}
                        <span style="color:darkgrey">下架</span>
                        {{#  }else{ }}
                        <span style="color:red">删除</span>
                        {{# } }}
                    </script>
                    <script type="text/html" id="add_time">
                        <div>{{ layui.util.toDateString(d.add_time * 1000, 'yyyy-MM-dd') }}</div>
                    </script>
                    <script type="text/html" id="logo">
                        {{# if(d.logo){ }}
                        <img style="cursor: pointer;max-width: 50px;" lay-event='open_image' src="{{ d.logo }}">
                        {{# } }}
                    </script>
                    <script type="text/html" id="act">
                        <button type="button" class="layui-btn layui-btn-xs" onclick="dropdown(this)">操作 <span class="caret"></span></button>
                        <ul class="layui-nav-child layui-anim layui-anim-upbit">
                            <li>
                                <a href="javascript:void(0)" onclick="$eb.createModalFrame(this.innerText,'{:Url(\'create\')}?id={{d.id}}')">
                                    <i class="fa fa-edit"></i> 编辑
                                </a>
                            </li>
                            <li>
                                <a lay-event="down" href="javascript:void(0)">
                                    <i class="fa fa-edit"></i> 下架
                                </a>
                            </li>
                            <li>
                                <a lay-event='delete' href="javascript:void(0)" >
                                    <i class="fa fa-times"></i> 删除
                                </a>
                            </li>
                        </ul>
                    </script>
                </div>
            </div>
        </div>
    </div>
</div>
<script src="{__ADMIN_PATH}js/layuiList.js"></script>
{/block}
{block name="script"}
<script>
    //实例化form
    layList.form.render();
    //加载列表
    layList.tableList('List',"{:Url('get_providers')}",function (){
        return [
            {field: 'id', title: '编号', sort: true,event:'id',width:'6%',align:"center"},
            {field: 'name', title: '名称',align:"center",width:'8%'},
            {field: 'site', title: '网站',width:'12%',align:"center",templet:'#site'},
            //{field: 'source', title: '来源',width:'8%',align:"center"},
            //{field: 'logo', title: 'logo',width:'8%',align:"center",templet:'#logo'},
            //{field: 'body', title: '内容',width:'6%',align:"center"},
            {field: 'contact', title: '联系人',width:'8%',align:"center"},
            {field: 'phone', title: '电话', width:'10%',align:"center"},
            {field: 'qq', title: 'qq',width:'10%',align:"center"},
            {field: 'wechat', title: '微信',width:'10%',align:"center"},
            {field: 'add_time', title: '时间',width:'8%',align:"center",templet:'#add_time'},
            {field: 'desc', title: '描述',width:'12%',align:"center"},
            {field: 'status', title: '状态',width:'8%',align:"center",templet:'#status'},
            {field: 'right', title: '操作',align:'center',toolbar:'#act',width:'8%'},
        ];
    });
    //自定义方法
    var action= {
        set_value: function (field, id, value) {
            layList.baseGet(layList.Url({
                a: 'set_value',
                q: {field: field, id: id, value: value}
            }), function (res) {
                layList.msg(res.msg);
            });
        },
    };
    //查询
    layList.search('search',function(where){
        layList.reload(where,true);
    });
    //快速编辑
    layList.edit(function (obj) {
        var id=obj.data.id,value=obj.value;
        switch (obj.field) {
            case 'name':
                action.set_value('name',id,value);
                break;
            case 'site':
                action.set_value('site',id,value);
                break;
            case 'contact':
                action.set_value('contact',id,value);
                break;
        }
    });
    //监听并执行排序
    layList.sort(['id','sort'],true);
    //点击事件绑定
    layList.tool(function (event,data,obj) {
        var query = {id:data.id, st:0};

        if (event === 'open_image') {
            return $eb.openImage(data.logo);
        }else if (event === 'down') {
            query.st = 1;
        }else if (event === 'delete') {
            query.st = 2;
        }
        var url=layList.U({a:'mark',q:query});
        $eb.axios.get(url).then(function(res){
            if(res.status == 200 && res.data.code == 200) {
                $eb.$swal('success',res.data.msg);
                //obj.del();
            }else
                return Promise.reject(res.data.msg || '执行失败')
        }).catch(function(err){
            $eb.$swal('error',err);
        });
    });
    // 下拉框
    $(document).click(function (e) {
        $('.layui-nav-child').hide();
    });
    function dropdown(that){
        var oEvent = arguments.callee.caller.arguments[0] || event;
        oEvent.stopPropagation();
        var offset = $(that).offset();
        var top=offset.top-$(window).scrollTop();
        var index = $(that).parents('tr').data('index');
        $('.layui-nav-child').each(function (key) {
            if (key != index) {
                $(this).hide();
            }
        });
        if($(document).height() < top+$(that).next('ul').height()){
            $(that).next('ul').css({
                'padding': 10,
                'top': - ($(that).parent('td').height() / 2 + $(that).height() + $(that).next('ul').height()/2),
                'min-width': 'inherit',
                'position': 'absolute'
            }).toggle();
        }else{
            $(that).next('ul').css({
                'padding': 10,
                'top':$(that).parent('td').height() / 2 + $(that).height(),
                'min-width': 'inherit',
                'position': 'absolute'
            }).toggle();
        }
    }
</script>
{/block}
